// PrimerDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Primer.h"
#include "PrimerDlg.h"
#include "date.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPrimerDlg dialog

CPrimerDlg::CPrimerDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPrimerDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPrimerDlg)
	m_Ime = _T("");
	m_Prezime = _T("");
	m_Devojacko = _T("");
	m_Pol = 0;
	//}}AFX_DATA_INIT
	m_VojniRok=97;
	m_DatumEvidencije=CTime::GetCurrentTime();
	// inicijalizuj sa danasnjim danom 
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CPrimerDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPrimerDlg)
	//}}AFX_DATA_MAP
	DDX_Text(pDX, IDC_IME, m_Ime);
	DDV_MaxChars(pDX, m_Ime, 10);
	DDX_Text(pDX, IDC_PREZIME, m_Prezime);
	DDV_MaxChars(pDX, m_Prezime, 10);
	DDX_Radio(pDX, IDC_MUSKI, m_Pol);
	DDX_Date(pDX,IDC_DATUM_EVIDENCIJE,m_DatumEvidencije);
	DDX_Control(pDX, IDC_STATIC_DUALNO, m_DualST);
	if(m_Pol)
	{
		DDX_Text(pDX, IDC_DUALNO, m_Devojacko);
		DDV_MaxChars(pDX, m_Devojacko, 10);
	}
	else
		DDX_Text(pDX, IDC_DUALNO, m_VojniRok);
}

BEGIN_MESSAGE_MAP(CPrimerDlg, CDialog)
	//{{AFX_MSG_MAP(CPrimerDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_MUSKI, OnMuski)
	ON_BN_CLICKED(IDC_ZENSKI, OnZenski)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPrimerDlg message handlers

BOOL CPrimerDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	if(m_Pol)
		OnZenski();
	else
		OnMuski();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CPrimerDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CPrimerDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CPrimerDlg::OnMuski() 
{
	m_DualST.SetWindowText("Vojni rok");
}

void CPrimerDlg::OnZenski() 
{
	m_DualST.SetWindowText("Devojako prezime");
}


